"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CacheRegistry = void 0;
const url_collection_js_1 = require("./url-collection.js");
class CacheRegistry {
    constructor() {
        Object.defineProperty(this, "items", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.items = new url_collection_js_1.UrlCollection();
    }
    clear() {
        this.items.clear();
    }
}
exports.CacheRegistry = CacheRegistry;
