"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MockRegistry = exports.HookRegistry = exports.FetchpStatus = exports.fetchp = exports.default = exports.Fetchp = exports.FetchpHookType = exports.CacheRegistry = void 0;
const dntShim = __importStar(require("./_dnt.shims.js"));
const fetchp_js_1 = require("./fetchp.js");
Object.defineProperty(exports, "CacheRegistry", { enumerable: true, get: function () { return fetchp_js_1.CacheRegistry; } });
Object.defineProperty(exports, "FetchpHookType", { enumerable: true, get: function () { return fetchp_js_1.FetchpHookType; } });
Object.defineProperty(exports, "FetchpStatus", { enumerable: true, get: function () { return fetchp_js_1.FetchpStatus; } });
Object.defineProperty(exports, "HookRegistry", { enumerable: true, get: function () { return fetchp_js_1.HookRegistry; } });
Object.defineProperty(exports, "MockRegistry", { enumerable: true, get: function () { return fetchp_js_1.MockRegistry; } });
// implementation (public)
// -----------------------
class FetchpMock extends fetchp_js_1.Fetchp {
    constructor() {
        super();
        Object.defineProperty(this, "mockResponseFn", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.mockResponseFn = () => Promise.resolve(new dntShim.Response());
    }
    setMockResponseFn(responseFn) {
        this.mockResponseFn = responseFn;
    }
    internalFetcher(request) {
        return this.mockResponseFn(request);
    }
}
exports.Fetchp = FetchpMock;
// singleton instance for predefined, default fetchp object
const fetchpMock = new FetchpMock();
exports.default = fetchpMock;
exports.fetchp = fetchpMock;
