import * as dntShim from "./_dnt.shims.js";
import { UrlCollection, type UrlCollectionInterface } from "./url-collection.js";
declare type CacheItem = Promise<dntShim.Response>;
interface CacheRegistryInterface {
    items: UrlCollectionInterface<CacheItem>;
    clear(): void;
}
declare class CacheRegistry implements CacheRegistryInterface {
    items: UrlCollection<CacheItem>;
    constructor();
    clear(): void;
}
export { CacheRegistry, type CacheRegistryInterface };
