import * as dntShim from "./_dnt.shims.js";
import { CacheRegistry, type CacheRegistryInterface, Fetchp, type FetchpHookFn, FetchpHookType, type FetchpInterface, type FetchpRequestInit, type FetchpResultInterface, FetchpStatus, HookRegistry, type HookRegistryInterface, MockRegistry, type MockRegistryInterface } from "./fetchp.js";
interface FetchpInterfaceMock extends FetchpInterface {
    mockResponseFn: (request: dntShim.Request) => Promise<dntShim.Response>;
    setMockResponseFn(responseFn: (request: dntShim.Request) => Promise<dntShim.Response>): void;
}
declare class FetchpMock extends Fetchp implements FetchpInterfaceMock {
    mockResponseFn: (request: dntShim.Request) => Promise<dntShim.Response>;
    constructor();
    setMockResponseFn(responseFn: (request: dntShim.Request) => Promise<dntShim.Response>): void;
    internalFetcher(request: dntShim.Request): Promise<dntShim.Response>;
}
declare const fetchpMock: FetchpMock;
export { CacheRegistry, type CacheRegistryInterface, type FetchpHookFn, FetchpHookType, type FetchpInterface, FetchpMock as Fetchp, fetchpMock as default, fetchpMock as fetchp, type FetchpRequestInit, type FetchpResultInterface, FetchpStatus, HookRegistry, type HookRegistryInterface, MockRegistry, type MockRegistryInterface, };
