import { FetchpStatus, useFetchpBuilder } from "./use-fetchp.js";
declare const useFetchpMock: <T = any>(method: string, url: string, init?: import("./fetchp.js").FetchpRequestInit | undefined) => {
    doFetch: () => void;
    data: T | undefined;
    status: FetchpStatus;
    isIdle: boolean;
    isFetching: boolean;
    isLoading: boolean;
    isError: boolean;
    isCanceled: boolean;
    isSuccess: boolean;
    error: any;
    result: import("./fetchp.js").FetchpResultInterface<any> | undefined;
};
export { FetchpStatus, useFetchpBuilder, useFetchpMock as default, useFetchpMock as useFetchp, };
